import type { ApiRequestOptions } from './ApiRequestOptions';
import { CancelablePromise } from 'src/api/core/CancelablePromise';
type Resolver<T> = (options: ApiRequestOptions) => Promise<T>;
type Headers = Record<string, string>;
export type OpenAPIConfig = {
    BASE: string;
    VERSION: string;
    WITH_CREDENTIALS: boolean;
    CREDENTIALS: 'include' | 'omit' | 'same-origin';
    TOKEN?: string | Resolver<string>;
    USERNAME?: string | Resolver<string>;
    PASSWORD?: string | Resolver<string>;
    HEADERS?: Headers | Resolver<Headers>;
    ENCODE_PATH?: (path: string) => string;
};
export declare class TokenService {
    /**
     * @returns string Success
     * @throws ApiError
     */
    static getAmplifyPortalToken(): CancelablePromise<string>;
    /**
     * @returns string Success
     * @throws ApiError
     */
    static getAmplifyPortalProductionToken(): CancelablePromise<string>;
}
export declare const getPortalToken: () => Promise<string>;
export declare const OpenAPI: OpenAPIConfig;
export declare const OpenAPI_Portal: OpenAPIConfig;
export declare const OpenAPI_Portal_Prod: OpenAPIConfig;
export {};
