import type { CancelablePromise } from '../';
import { FeatureToggleDto } from '../';
import { ServiceNowIncidentResponse } from 'src/api/models/ServiceNowIncidentResponse';
import { AmplifyApplication } from '../models/Applications';
export declare class PortalService {
    /**
     * Creates a incident report in service now
     * @param formData
     * @returns any Success
     * @throws ApiError
     */
    static createIncident(formData?: FormData): CancelablePromise<ServiceNowIncidentResponse>;
    /**
     * Uploads file to slack and links it to a channel defined in config
     * @param formData
     * @returns any Success
     * @throws ApiError
     */
    static fileUpload(formData?: FormData): CancelablePromise<unknown>;
    /**
     * Posts a slack message to channel defined in config
     * @param formData
     * @returns any Success
     * @throws ApiError
     */
    static postmessage(formData?: FormData): CancelablePromise<unknown>;
    /**
     * Gets a Feature Toggle from Application name
     * @param applicationName name
     * @returns FeatureToggleDto Success
     * @throws ApiError
     */
    static getFeatureToggleFromApplicationName(applicationName: string): CancelablePromise<FeatureToggleDto>;
    static userApplications(): CancelablePromise<Array<AmplifyApplication>>;
}
