import { ChangeEvent, KeyboardEvent } from 'react';
import { SelectOption } from 'src/components';
import { SelectComponentProps } from 'src/components/Inputs/Select/Select';
import { SelectOptionRequired } from 'src/components/Inputs/Select/Select.types';
declare const useSelect: <T extends SelectOptionRequired>(props: SelectComponentProps<T>) => {
    handleOnItemSelect: (item: SelectOption<T>) => void;
    handleOnItemKeyDown: (event: KeyboardEvent<HTMLButtonElement>) => void;
    handleOnSearchKeyDown: (event: KeyboardEvent<HTMLInputElement>) => void;
    handleOnClear: () => void;
    handleOnSearchChange: (event: ChangeEvent<HTMLInputElement>) => void;
    handleToggleOpen: () => void;
    handleOnClose: () => void;
    handleOnOpen: () => void;
    handleOnRemoveItem: (item: T) => void;
    search: string;
    searchRef: import("react").MutableRefObject<HTMLInputElement | null>;
    itemRefs: import("react").MutableRefObject<(HTMLButtonElement | null)[]>;
    selectedValues: T[];
    open: boolean;
    tryingToRemoveItem: T | undefined;
};
export { useSelect };
