import { Dispatch, FC, MutableRefObject, ReactNode, SetStateAction } from 'react';
import { CustomTutorialComponent } from './TutorialProvider.types';
import { CustomTutorialStep, GenericTutorialStep, Tutorial } from 'src/api';
export interface TutorialContextType {
    activeTutorial: Tutorial | undefined;
    setActiveTutorial: Dispatch<SetStateAction<Tutorial | undefined>>;
    currentStep: number;
    setCurrentStep: Dispatch<SetStateAction<number>>;
    allElementsToHighlight: HTMLElement[] | undefined;
    setAllElementsToHighlight: Dispatch<SetStateAction<HTMLElement[] | undefined>>;
    customStepComponents: CustomTutorialComponent[] | undefined;
    currentStepObject: GenericTutorialStep | CustomTutorialStep | undefined;
    isLastStep: boolean;
    dialogRef: MutableRefObject<HTMLDialogElement | null>;
    clearSearchParam: () => void;
    shortNameFromParams: string | undefined;
    setShortNameFromParams: Dispatch<SetStateAction<string | undefined>>;
    tutorialsFromProps: Tutorial[];
    tutorialError: boolean;
    setTutorialError: Dispatch<SetStateAction<boolean>>;
    viewportWidth: number;
}
export declare const TutorialContext: import("react").Context<TutorialContextType | undefined>;
interface TutorialProviderProps {
    children: ReactNode;
    customStepComponents?: CustomTutorialComponent[];
    tutorials?: Tutorial[];
}
declare const TutorialProvider: FC<TutorialProviderProps>;
export default TutorialProvider;
